var col ;
var rotY = 0 ;
var rotX = 0;
var obj = 1;

function setup(){
  createCanvas(100,100,WEBGL);
  col= color(255,0,0);
}
function draw(){
  background(col);
  rotateX(rotX);
  rotateY(rotY);
  //objekt(1);
  torus(30,15);
}
function mouseDragged(event){
  rotY += event.movementX * 0.01;
  rotX += event.movementY * 0.01;
}

function objekt(o){
  if (o == 1){
    torus(30,15);
  }
  else{
    cone(40,70);
  }
}

function mousePressed(){
  obj*=-1;
}
